Module java.desktop
Package javax.swing.event

## Interface RowSorterListener

- All Superinterfaces:
    `EventListener`
  All Known Implementing Classes:
    `JTable`

      public interface RowSorterListener
      extends EventListener

  `RowSorterListener`s are notified of changes to a `RowSorter`.
  Since:
    1.6
  See Also:
    `RowSorter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `sorterChanged​(RowSorterEvent e)` | Notification that the `RowSorter` has changed.

- - ### Method Detail

    - #### sorterChanged

          void sorterChanged​(RowSorterEvent e)

      Notification that the `RowSorter` has changed. The event describes the scope of the change.
      Parameters:
        `e` - the event, will not be null